Name:           perl-Kwiki-Diff
Version:        0.03
Release:        5%{?dist}
Summary:        Display differences between the current wiki page and older revisions
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Kwiki-Diff/
Source0:        http://www.cpan.org/authors/id/I/IA/IAN/Kwiki-Diff-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl(Algorithm::Diff) >= 1.18
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(Kwiki) >= 0.34
BuildRequires:  perl(Kwiki::Revisions) >= 0.12
BuildRequires:  perl(Spiffy) >= 0.22
BuildRequires:  perl(Test::More)
# For improved tests
BuildRequires:  perl(Test::Pod::Coverage) >= 1.04
BuildRequires:  perl(Test::Pod) >= 1.14
Requires:       perl(Algorithm::Diff) >= 1.18
Requires:       perl(Kwiki) >= 0.34
Requires:       perl(Kwiki::Revisions) >= 0.12
Requires:       perl(Spiffy) >= 0.22
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Kwiki Diff plugin.

%prep
%setup -q -n Kwiki-Diff-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
rm -f debug*.list
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Jan 04 2008 Ralf Corsépius <rc040203@freenet.de> 0.03-5
- Update License-tag.
- BR: perl(Test::Pod::Coverage), perl(Test::Pod).
- BR: perl(Test::More) (BZ 419631).

* Tue Apr 17 2007 Steven Pritchard <steve@kspei.com> 0.03-4
- Use fixperms macro instead of our own chmod incantation.
- BR ExtUtils::MakeMaker.

* Tue Sep 05 2006 Steven Pritchard <steve@kspei.com> 0.03-3
- Minor spec cleanup.

* Sat Feb 25 2006 Steven Pritchard <steve@kspei.com> 0.03-2
- Fix License tag.
- Don't generate COPYING and Artistic so we can re-enable "make test".
- Remove debug*.list so "make test" doesn't fail.

* Thu Dec 29 2005 Steven Pritchard <steve@kspei.com> 0.03-1
- Specfile autogenerated.
